Create Customer Billing Link
Returns a hosted billing URL once. Requires a secret or restricted API key with customers:write. Publishable keys, agents, person/member sessions, OAuth and customer/embed sessions are refused. Links expire after 24 hours and exchange once. Replays return already_issued metadata without a URL. No return_url is supported.
/customers/{id}/billing_linksReturns a hosted billing URL once. Requires a secret or restricted API key with customers:write. Publishable keys, agents, person/member sessions, OAuth and customer/embed sessions are refused. Links expire after 24 hours and exchange once. Replays return already_issued metadata without a URL. No return_url is supported.
Authorization
bearerAuth In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/customers/string/billing_links" \ -H "Content-Type: application/json" \ -d '{}'{ "dry_run": true, "plan": { "customer": "string" }}